use v5.10.1;
use warnings; use strict;
use Bb::Collaborate::Ultra::Connection;
use Bb::Collaborate::Ultra::Session;

my $connection =  Bb::Collaborate::Ultra::Connection->new({
    host => "https://au-csa.bbcollab.com",
    issuer => "acrrm-restapi-86C1DD6B2B65",
    secret => "6742D9168DCE45B5A5E74836BEB1DA6A",
});

my $context_id = "6812E6A3EA4072D1425FA583BF59C5CD";
my @sessions =  Bb::Collaborate::Ultra::Session->get($connection, {contextId => $context_id});
for my $session (@sessions) {
    my @logs = $session->logs;
    if (@logs) {
	print "Session: ". $session->name . "\n";
    }
    for my $log (@logs) {
	say "\tOpened: " .(scalar localtime $log->opened);
	for my $attendee ($log->attendees) {
	    my $first_join;
	    my $elapsed = 0;
	    for my $attendance (@{$attendee->attendance}) {
		my $joined = $attendance->joined;
		$first_join = $joined
		    if !$first_join || $first_join > $joined;
		$elapsed += $attendance->left - $joined;
	    }
	    say sprintf("\tUser %s (%s) joined at %s, stayed %d minutes", $attendee->externalUserId, $attendee->displayName, (scalar localtime $first_join), $elapsed / 60);
	    if ($elapsed) {
	    }
	}
	say "\tClosed: " .(scalar localtime $log->closed);
    }
}
